public static interface SnsEndpointBuilderFactory.SnsBuilders
| Modifier and Type | Method and Description |
|---|---|
default SnsEndpointBuilderFactory.SnsEndpointBuilder |
awsSns(String path)
AWS Simple Notification System (SNS) (camel-aws-sns)
Send messages to an AWS Simple Notification Topic.
|
default SnsEndpointBuilderFactory.SnsEndpointBuilder |
awsSns(String componentName,
String path)
AWS Simple Notification System (SNS) (camel-aws-sns)
Send messages to an AWS Simple Notification Topic.
|
default SnsEndpointBuilderFactory.SnsEndpointBuilder awsSns(String path)
aws-sns:topicNameOrArn
Path parameter: topicNameOrArn (required)
Topic name or ARNpath - topicNameOrArndefault SnsEndpointBuilderFactory.SnsEndpointBuilder awsSns(String componentName, String path)
aws-sns:topicNameOrArn
Path parameter: topicNameOrArn (required)
Topic name or ARNcomponentName - to use a custom component name for the endpoint
instead of the default namepath - topicNameOrArnApache Camel